Name:           lcms2
Version:        2.13.1
Release:        2
Summary:        Color Management Engine
License:        MIT
URL:            https://www.littlecms.com/
Source0:        https://sourceforge.net/projects/lcms/files/lcms/2.13/%{name}-%{version}.tar.gz

BuildRequires:  gcc libjpeg-devel libtiff-devel zlib-devel

%description
LittleCMS intends to be an OPEN SOURSE small-footprint color management
engine,with special focus on accuracy and performence.It uses the
International Color Consortium standard (ICC), which is the modern
standard when regarding to color management. The ICC specification
is widely used and is referred to in many International and other
de-facto standards.

%package        utils
Summary:        Utility applications for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    utils
The %{name}-utils package contains utility applications for %{name}.

%package        devel
Summary:        Development files for LittleCMS
Requires:       %{name}%{?_isa} = %{version}-%{release}
Provides:       littlecms-devel = %{version}-%{release}

%description    devel
Development files for LittleCMS.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --program-suffix=2

%disable_rpath
%make_build

%install
%make_install
%delete_la

%check
%make_build check -k ||:

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS
%license COPYING
%{_libdir}/liblcms2.so.2*

%files utils
%{_bindir}/*

%files devel
%defattr(-,root,root)
%{_includedir}/lcms2*.h
%{_libdir}/*.a
%{_libdir}/liblcms2.so
%{_libdir}/pkgconfig/*.pc

%files help
%defattr(-,root,root)
%{_mandir}/*

%changelog
* Fri Nov 25 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 2.13.1-2
- update Source0

* Tue Aug 2 2022 tianlijing <tianlijing@kylinos.cn> - 2.13.1-1
- update to 2.13.1

* Fri Dec 03 2021 wangkerong <wangkerong@huawei.com> - 2.12-1
- update to 2.12

* Thu Sep 10 2020 zhanzhimin <zhanzhimin@huawei.com> - 2.11-2
- update source

* Thu Jul 23 2020 hanhui <hanhui15@huawei.com> - 2.11-1
- update to 2.11

* Tue Dec 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.9-7
- Type:NA
- Id:NA
- SUG:NA
- DESC:update tarball

* Wed Sep 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.9-6
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:Recovery utils package for lcms2

* Tue Aug 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.9-5
- Package init
